<?php
/**
 * User: Mike
 * Email: m@9026.com
 * Date: 2017/1/12
 * Time: 17:52
 */

namespace App\Repositories\Album\Xyx\Criteria;




use App\Repositories\Base\Criteria;
use App\Repositories\Contracts\RepositoryInterface as Repository;

class MultiWhere extends Criteria {

    private $search = [];

    public function __construct(array $search,int $store_id)
    {
        $this->search = $search;
        $this->store_id = $store_id;
    }

    /**
     * @param $model
     * @param RepositoryInterface $repository
     * @return mixed
     */
    public function apply($model, Repository $repository)
    {
        if(isset($this->search['keyword']) && $this->search['keyword']) {
            $keyword = '%'.$this->search['keyword'].'%';
            $model = $model->where([['username','like',$keyword],['store_id',$this->store_id]])
                ->orwhere([['id','like',$keyword],['store_id',$this->store_id]]);
        } else if(isset($this->search['updated_at']) && $this->search['updated_at']) {
            $model = $model->where('updated_at',$this->search['updated_at']);
        } else {
            $model = $model->where([['store_id',$this->store_id]]);
        }

        return $model;
    }

}